# Interface IEditorMatchingStrategy

public interface IEditorMatchingStrategy
An editor matching strategy allows editor extensions to provide their own algorithm for matching the input of an open editor of that type to a given editor input. This is used to find a matching editor during `IWorkbenchPage.openEditor(IEditorInput, String, boolean)` and `IWorkbenchPage.findEditor(IEditorInput)`.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(IEditorReference editorRef, IEditorInput input)`
Returns whether the editor represented by the given editor reference matches the given editor input.

## Method Details

### matches

boolean matches(IEditorReference editorRef, IEditorInput input)
Returns whether the editor represented by the given editor reference matches the given editor input.

Implementations should inspect the given editor input first, and try to reject it early before calling `IEditorReference.getEditorInput()`, since that method may be expensive.

Parameters:
  `editorRef` - the editor reference to match against
  `input` - the editor input to match
Returns:
  `true` if the editor matches the given editor input, `false` if it does not match